USRP Hardware Driver and USRP Manual: uhd::features::discoverable_feature Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::features::discoverable_feature Class Referenceabstract

`#include <uhd/features/discoverable_feature.hpp>`

Inheritance diagram for uhd::features::discoverable_feature:

## Public Types
enum | feature_id_t { RESERVED0 , RESERVED1 , FPGA_LOAD_NOTIFICATION , ADC_SELF_CALIBRATION , REF_CLK_CALIBRATION , TRIG_IO_MODE , GPIO_POWER , SPI_GETTER_IFACE , INTERNAL_SYNC , GPS }
| An enum of all features supported by the driver. When creating a new. More...
using | sptr = std::shared_ptr<discoverable_feature>

## Public Member Functions
virtual | ~discoverable_feature ()=default
virtual std::string | get_feature_name () const =0
| Returns a human-readable string name of this feature.

## Detailed Description

The base class for discoverable features

All discoverable features inherit from this class, which provides some basic functionality for features.

Also note that all discoverable features must implement a static method get_feature_id() which returns a feature_id_t.

## Member Typedef Documentation

## ◆ sptr

using uhd::features::discoverable_feature::sptr = std::shared_ptr<discoverable_feature>

## Member Enumeration Documentation

## ◆ feature_id_t

enum uhd::features::discoverable_feature::feature_id_t

An enum of all features supported by the driver. When creating a new.

Enumerator
RESERVED0 |
RESERVED1 |
FPGA_LOAD_NOTIFICATION |
ADC_SELF_CALIBRATION |
REF_CLK_CALIBRATION |
TRIG_IO_MODE |
GPIO_POWER |
SPI_GETTER_IFACE |
INTERNAL_SYNC |
GPS |

## Constructor & Destructor Documentation

## ◆ ~discoverable_feature()

virtual uhd::features::discoverable_feature::~discoverable_feature | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ get_feature_name()

virtual std::string uhd::features::discoverable_feature::get_feature_name | ( |  | ) | const
| pure virtual

Returns a human-readable string name of this feature.

Implemented in uhd::features::adc_self_calibration_iface, uhd::features::gpio_power_iface, uhd::features::gps_iface, uhd::features::internal_sync_iface, uhd::features::ref_clk_calibration_iface, uhd::features::spi_getter_iface, and uhd::features::trig_io_mode_iface.

The documentation for this class was generated from the following file:

- discoverable_feature.hpp